﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Infragistics4.Web.v10.3, Version=10.3.20103.2013, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.Web.UI" TagPrefix="ig" %>

<%@ Register Assembly="Infragistics4.Web.v10.3, Version=10.3.20103.2013, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.Web.UI.ListControls" TagPrefix="ig" %>

<%@ Register assembly="Infragistics4.Web.v10.3, Version=10.3.20103.2013, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" namespace="Infragistics.Web.UI.GridControls" tagprefix="ig" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <ig:WebDataGrid ID="WebDataGrid1" runat="server" AutoGenerateColumns="False" DataSourceID="SqlDataSourceProducts"
            Height="350px" Width="100%" AjaxIndicator-Enabled="True" DataKeyFields="ProductID"
            OnRowUpdated="WebDataGrid1_RowUpdated">
            <Columns>
                <ig:BoundDataField DataFieldName="ProductID" Key="ProductID">
                    <Header Text="ProductID" />
                </ig:BoundDataField>
                <ig:BoundDataField DataFieldName="ProductName" Key="ProductName">
                    <Header Text="ProductName" />
                </ig:BoundDataField>
                <ig:BoundDataField DataFieldName="SupplierID" Key="SupplierID">
                    <Header Text="SupplierID" />
                </ig:BoundDataField>
                <ig:BoundDataField DataFieldName="CategoryID" Key="CategoryID">
                    <Header Text="CategoryID" />
                </ig:BoundDataField>
                <ig:BoundDataField DataFieldName="QuantityPerUnit" Key="QuantityPerUnit">
                    <Header Text="QuantityPerUnit" />
                </ig:BoundDataField>
                <ig:BoundDataField DataFieldName="UnitPrice" Key="UnitPrice">
                    <Header Text="UnitPrice" />
                </ig:BoundDataField>
                <ig:BoundDataField DataFieldName="UnitsInStock" Key="UnitsInStock">
                    <Header Text="UnitsInStock" />
                </ig:BoundDataField>
                <ig:BoundDataField DataFieldName="UnitsOnOrder" Key="UnitsOnOrder">
                    <Header Text="UnitsOnOrder" />
                </ig:BoundDataField>
                <ig:BoundDataField DataFieldName="ReorderLevel" Key="ReorderLevel">
                    <Header Text="ReorderLevel" />
                </ig:BoundDataField>
                <ig:BoundDataField DataFieldName="Discontinued" Key="Discontinued">
                    <Header Text="Discontinued" />
                </ig:BoundDataField>
            </Columns>
            <Behaviors>
                <ig:EditingCore AutoCRUD="true">
                    <Behaviors>
                        <ig:CellEditing>
                        </ig:CellEditing>
                    </Behaviors>
                </ig:EditingCore>
                <ig:Activation>
                </ig:Activation>
            </Behaviors>
            <AjaxIndicator Enabled="True" ImageUrl="~/ajax_indicator.gif" />
        </ig:WebDataGrid>
              <asp:SqlDataSource ID="SqlDataSourceProducts" runat="server" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
            SelectCommand="SELECT * FROM [Products]" DeleteCommand="DELETE FROM [Products] WHERE [ProductID] = @ProductID"
            InsertCommand="INSERT INTO [Products] ([ProductName], [SupplierID], [CategoryID], [QuantityPerUnit], [UnitPrice], [UnitsInStock], [UnitsOnOrder], [ReorderLevel], [Discontinued]) VALUES (@ProductName, @SupplierID, @CategoryID, @QuantityPerUnit, @UnitPrice, @UnitsInStock, @UnitsOnOrder, @ReorderLevel, @Discontinued)"
            UpdateCommand="UPDATE [Products] SET [ProductName] = @ProductName, [SupplierID] = @SupplierID, [CategoryID] = @CategoryID, [QuantityPerUnit] = @QuantityPerUnit, [UnitPrice] = @UnitPrice, [UnitsInStock] = @UnitsInStock, [UnitsOnOrder] = @UnitsOnOrder, [ReorderLevel] = @ReorderLevel, [Discontinued] = @Discontinued WHERE [ProductID] = @ProductID">
            <DeleteParameters>
                <asp:Parameter Name="ProductID" Type="Int32" />
            </DeleteParameters>
            <InsertParameters>
                <asp:Parameter Name="ProductName" Type="String" />
                <asp:Parameter Name="SupplierID" Type="Int32" />
                <asp:Parameter Name="CategoryID" Type="Int32" />
                <asp:Parameter Name="QuantityPerUnit" Type="String" />
                <asp:Parameter Name="UnitPrice" Type="Decimal" />
                <asp:Parameter Name="UnitsInStock" Type="Int16" />
                <asp:Parameter Name="UnitsOnOrder" Type="Int16" />
                <asp:Parameter Name="ReorderLevel" Type="Int16" />
                <asp:Parameter Name="Discontinued" Type="Boolean" />
            </InsertParameters>
            <UpdateParameters>
                <asp:Parameter Name="ProductName" Type="String" />
                <asp:Parameter Name="SupplierID" Type="Int32" />
                <asp:Parameter Name="CategoryID" Type="Int32" />
                <asp:Parameter Name="QuantityPerUnit" Type="String" />
                <asp:Parameter Name="UnitPrice" Type="Decimal" />
                <asp:Parameter Name="UnitsInStock" Type="Int16" />
                <asp:Parameter Name="UnitsOnOrder" Type="Int16" />
                <asp:Parameter Name="ReorderLevel" Type="Int16" />
                <asp:Parameter Name="Discontinued" Type="Boolean" />
                <asp:Parameter Name="ProductID" Type="Int32" />
            </UpdateParameters>
        </asp:SqlDataSource>
        <ig:WebScriptManager ID="WebScriptManager1" runat="server">
        </ig:WebScriptManager>
    </div>
    </form>
</body>
</html>
